Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598058 - Review Request: maven-docck-plugin - Maven Documentation Checker Plugin
Summary: Review Request: maven-docck-plugin - Maven Documentation Checker Plugin
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 10:47 UTC by huwang
Modified: 2018-12-10 12:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 08:16:43 UTC
sochotni: fedora-review+


Attachments (Terms of Use)

Description huwang 2010-05-31 10:47:29 UTC
Spec URL: http://huwang.fedorapeople.org/packages/maven-docck-plugin/maven-docck-plugin.spec
SRPM URL: http://huwang.fedorapeople.org/packages/maven-docck-plugin/maven-docck-plugin-1.0-0.1.beta2.src.rpm
Description: This plugin checks that a project complies with the Plugin Documentation Standard.

Comment 1 huwang 2010-05-31 10:49:05 UTC
Note about this package:
Built with dist-f14-maven221 target in koji, here is the link: http://koji.fedoraproject.org/koji/taskinfo?taskID=2219128

Comment 2 Stanislav Ochotnicky 2010-05-31 11:44:46 UTC
I will do the review

Comment 3 Stanislav Ochotnicky 2010-05-31 12:05:49 UTC
Before I start official review process I have few things:
 * use global instead of define macro
 * there is already version 1.0 (do `svn ls http://svn.apache.org/repos/asf/maven/plugins/tags/ | grep docck` and you'll see)
 * check http://maven.apache.org/plugins/maven-docck-plugin/dependencies.html for docck plugin dependencies. You are missing at least a few (commons-logging, commons-httpclient comes to mind). Or perhaps this and other dependencies are optional? Either way, this needs to be either fixed or explained
 * version in changelog is incomplete?

Comment 4 Stanislav Ochotnicky 2010-05-31 12:23:25 UTC
Two more things that I noticed:
 * typo in changelog "Inital"
 * when adding depmap to maven, last argument could be %{name} because you are installing jar file using name macro anyway...

Comment 5 Stanislav Ochotnicky 2010-05-31 14:35:09 UTC
Aaand one more thing:
 * I believe your spec file is missing proper provides/obsoletes for old maven2-plugin-docck

Comment 6 huwang 2010-06-01 09:25:07 UTC
I built this package with version 1.0, meanwhile, I fixed the issues you mentioned above, please review again, thanks.

Spec URL: http://huwang.fedorapeople.org/packages/maven-docck-plugin/maven-docck-plugin.spec
SRPM URL: http://huwang.fedorapeople.org/packages/maven-docck-plugin/maven-docck-plugin-1.0-1.src.rpm

scratch built in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2221797

Comment 8 Stanislav Ochotnicky 2010-06-01 12:20:56 UTC
NEEDSWORK: rpmlint must be run on every package. The output should be posted in the review.
maven-docck-plugin.src: W: invalid-url Source0: maven-docck-plugin-1.0.tar.gz
maven-docck-plugin.noarch: W: self-obsoletion maven2-plugin-docck <= 0:2.0.8 obsoletes maven2-plugin-docck = 1.0-1.fc13
maven-docck-plugin.noarch: W: no-documentation
maven-docck-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-docck-plugin
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Everything except self-obsoletion is false-positive. You need to fix
that self-obsoletion (by adding epoch 1 to provides) though.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: All filenames in rpm packages must be valid UTF-8. 

Other notes:
You are using gzip compression to create tarball from SVN. Using xz
compression creates smaller archives (saving space on dist machines)
and is fully supported. You can create xz archive by doing:
tar acf maven-docck-plugin-1.0.tar.xz maven-docck-plugin-1.0/
(don't forget to change Source0 URL afterwards)

Another (tiny) thing to be careful about for future is to try to be
consistent in every way possible. For example you are using 0755 in
one place and few lines down you use 755. Pick one style and stick
with it. 

A small tip. It's also possible to install file and create all the
directories in one step. For example:

install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}-%{version}.jar

could be rewritten as (with preserving file timestamps):

install -Dpm 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}-%{version}.jar


So summarized:
 * self-obsoletes
 * compression
 * consistency

At least first two points are necessary for approval, but I would
suggest making spec file as consistent as possible while you are
editing it.

Comment 9 huwang 2010-06-03 08:35:29 UTC
(In reply to comment #8)
> NEEDSWORK: rpmlint must be run on every package. The output should be posted in
> the review.
> maven-docck-plugin.src: W: invalid-url Source0: maven-docck-plugin-1.0.tar.gz
> maven-docck-plugin.noarch: W: self-obsoletion maven2-plugin-docck <= 0:2.0.8
> obsoletes maven2-plugin-docck = 1.0-1.fc13
> maven-docck-plugin.noarch: W: no-documentation
> maven-docck-plugin.noarch: W: non-conffile-in-etc
> /etc/maven/fragments/maven-docck-plugin
> 3 packages and 0 specfiles checked; 0 errors, 4 warnings.
> 
> Everything except self-obsoletion is false-positive. You need to fix
> that self-obsoletion (by adding epoch 1 to provides) though.
> 
> OK: The package must be named according to the Package Naming Guidelines .
> OK: The spec file name must match the base package %{name}, in the format
> %{name}.spec unless your package has an exemption.  .
> OK: The package must meet the Packaging Guidelines .
> OK: The package must be licensed with a Fedora approved license and meet the
> Licensing Guidelines .
> OK: The License field in the package spec file must match the actual license. 
> OK: If (and only if) the source package includes the text of the license(s) in
> its own file, then that file, containing the text of the license(s) for the
> package must be included in %doc.
> OK: The spec file must be written in American English. 
> OK: The spec file for the package MUST be legible. 
> OK: The sources used to build the package must match the upstream source, as
> provided in the spec URL. Reviewers should use md5sum for this task. If no
> upstream URL can be specified for this package, please see the Source URL
> Guidelines for how to deal with this.
> OK: The package MUST successfully compile and build into binary rpms on at
> least one primary architecture. 
> OK: If the package does not successfully compile, build or work on an
> architecture, then those architectures should be listed in the spec in
> ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
> bugzilla, describing the reason that the package does not compile/build/work on
> that architecture. The bug number MUST be placed in a comment, next to the
> corresponding ExcludeArch line. 
> OK: All build dependencies must be listed in BuildRequires, except for any that
> are listed in the exceptions section of the Packaging Guidelines ; inclusion of
> those as BuildRequires is optional. Apply common sense.
> OK: The spec file MUST handle locales properly. This is done by using the
> %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
> OK: A package must own all directories that it creates. If it does not create a
> directory that it uses, then it should require a package which does create that
> directory. 
> OK: A Fedora package must not list a file more than once in the spec file's
> %files listings. 
> OK: Permissions on files must be set properly. Executables should be set with
> executable permissions, for example. Every %files section must include a
> %defattr(...) line. 
> OK: Each package must consistently use macros. 
> OK: The package must contain code, or permissable content. 
> OK: Large documentation files must go in a -doc subpackage. (The definition of
> large is left up to the packager's best judgement, but is not restricted to
> size. Large can refer to either size or quantity). 
> OK: If a package includes something as %doc, it must not affect the runtime of
> the application. To summarize: If it is in %doc, the program must run properly
> if it is not present. 
> OK: Packages must not own files or directories already owned by other packages.
> The rule of thumb here is that the first package to be installed should own the
> files or directories that other packages may rely upon. This means, for
> example, that no package in Fedora should ever share ownership with any of the
> files or directories owned by the filesystem or man package. If you feel that
> you have a good reason to own a file or directory that another package owns,
> then please present that at package review time. 
> OK: All filenames in rpm packages must be valid UTF-8. 
> 
> Other notes:
> You are using gzip compression to create tarball from SVN. Using xz
> compression creates smaller archives (saving space on dist machines)
> and is fully supported. You can create xz archive by doing:
> tar acf maven-docck-plugin-1.0.tar.xz maven-docck-plugin-1.0/
> (don't forget to change Source0 URL afterwards)
> 
> Another (tiny) thing to be careful about for future is to try to be
> consistent in every way possible. For example you are using 0755 in
> one place and few lines down you use 755. Pick one style and stick
> with it. 
> 
> A small tip. It's also possible to install file and create all the
> directories in one step. For example:
> 
> install -d -m 0755 %{buildroot}%{_javadir}
> install -m 644 target/%{name}-%{version}.jar  
> %{buildroot}%{_javadir}/%{name}-%{version}.jar
> 
> could be rewritten as (with preserving file timestamps):
> 
> install -Dpm 644 target/%{name}-%{version}.jar  
> %{buildroot}%{_javadir}/%{name}-%{version}.jar
> 
> 
> So summarized:
>  * self-obsoletes
>  * compression
>  * consistency
> 
> At least first two points are necessary for approval, but I would
> suggest making spec file as consistent as possible while you are
> editing it.    

Fixed all. Please review again, thanks.

Spec URL: http://huwang.fedorapeople.org/packages/maven-docck-plugin/maven-docck-plugin.spec
SRPM URL: http://huwang.fedorapeople.org/packages/maven-docck-plugin/maven-docck-plugin-1.0-2.src.rpm

scratch built in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2226745

Comment 10 Stanislav Ochotnicky 2010-06-03 12:10:04 UTC
Package looks good. One small thing though. To really create tar.bz2 archive you have to use 'j' instead of 'z' when calling tar. So update the comment accordingly and re-create your srpm before importing to CVS.

Package is APPROVED.

Comment 11 huwang 2010-06-04 03:43:12 UTC
New Package CVS Request
=======================
Package Name: maven-docck-plugin
Short Description: Maven Documentation Checker Plugin
Owners: huwang
Branches: 
InitialCC:

Comment 12 Kevin Fenzi 2010-06-07 21:01:36 UTC
CVS done (by process-cvs-requests.py).

Comment 13 huwang 2010-06-08 08:16:00 UTC
Built in koji: http://koji.fedoraproject.org/koji/buildinfo?buildID=177244

Comment 14 Mattias Ellert 2014-03-06 14:11:25 UTC
Package Change Request
======================
Package Name: maven-docck-plugin
New Branches: epel7
Owners: ellert
InitialCC: java-sig

Comment 15 Gwyn Ciesla 2014-03-06 14:28:20 UTC
Any comments from the Fedora maintainer?

Comment 16 Mattias Ellert 2014-03-11 16:00:41 UTC
I asked the maintainers of this an a number of other packages on 2014-02-17 about their plans for EPEL 7. Of the maven-docck-plugin maintainers, the package owner (huwang) did not reply, while the co-maintainer (mizdebsk) said:

"I don't have any plans for adding any of these packages to EPEL."


Note You need to log in before you can comment on or make changes to this bug.